Phar::isValidPharFilename
Phar::loadPhar
Phar
PHP Manual

# Phar::isWritable

(No version information available, might be only in CVS)

Phar::isWritable — Returns true if the phar archive can be modified

### Description

bool Phar::isWritable ( void )

This method returns `TRUE` if phar.readonly is 0, and the actual phar archive on disk is not read-only.

### Parameters

No parameters.

### Return Values

Returns `TRUE` if the phar archive can be modified

### See Also

- Phar::canWrite()
- PharData::isWritable()

Phar::isValidPharFilename
Phar::loadPhar
Phar
PHP Manual